#ifndef __AGS_EDITOR_H__
#define __AGS_EDITOR_H__

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>

#define AGS_TYPE_EDITOR                (ags_editor_get_type())
#define AGS_EDITOR(obj)                ((AgsEditor*) G_TYPE_CHECK_INSTANCE_CAST(obj, AGS_TYPE_EDITOR, AgsEditor))
#define AGS_EDITOR_CLASS(class)        ((AgsEditorClass*) G_TYPE_CHECK_CLASS_CAST(class, AGS_TYPE_EDITOR, AgsEditorClass))

typedef struct _AgsEditor AgsEditor;
typedef struct _AgsEditorClass AgsEditorClass;

struct _AgsEditor
{
  GtkVBox vbox;

  GtkVBox *index;

  GtkDrawingArea *drawing_area;
  GtkVScrollbar *vscrollbar;
  GtkHScrollbar *hscrollbar;
};

struct _AgsEditorClass
{
  GtkVBoxClass vbox;
};

AgsEditor* ags_editor_new();

#endif /*__AGS_EDITOR_H__*/
