#ifndef __AGS_LINE_H__
#define __AGS_LINE_H__

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>

#include "../audio/ags_channel.h"

#define AGS_TYPE_LINE                (ags_line_get_type())
#define AGS_LINE(obj)                ((AgsLine*) G_TYPE_CHECK_INSTANCE_CAST(obj, AGS_TYPE_LINE, AgsLine))
#define AGS_LINE_CLASS(class)        ((AgsLineClass*) G_TYPE_CHECK_CLASS_CAST(class, AGS_TYPE_LINE, AgsLineClass))

typedef struct _AgsLine AgsLine;
typedef struct _AgsLineClass AgsLineClass;
typedef struct _AgsLineMember AgsLineMember;

struct _AgsLine
{
  GtkMenuItem item;

  GtkTable *table;

  AgsChannel *channel;
};

struct _AgsLineClass
{
  GtkMenuItemClass item;
};

struct _AgsLineMember
{
  AgsRecall *recall;
  guint control;
};

AgsLine* ags_line_new();

#endif /*__AGS_LINE_H__*/
