#ifndef __AGS_PAD_H__
#define __AGS_PAD_H__

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>

#include "ags_line.h"
#include "../audio/ags_channel.h"

#define AGS_TYPE_PAD                (ags_pad_get_type())
#define AGS_PAD(obj)                ((AgsPad*) G_TYPE_CHECK_INSTANCE_CAST(obj, AGS_TYPE_PAD, AgsPad))
#define AGS_PAD_CLASS(class)        ((AgsPadClass*) G_TYPE_CHECK_CLASS_CAST(class, AGS_TYPE_PAD, AgsPadClass))

typedef struct _AgsPad AgsPad;
typedef struct _AgsPadClass AgsPadClass;

struct _AgsPad
{
  GtkVBox vbox;

  AgsChannel *channel;
  AgsLine *selected_line;

  GtkOptionMenu *option;
  GtkHBox *hbox;
};

struct _AgsPadClass
{
  GtkVBoxClass vbox;
};

AgsPad* ags_pad_new();

#endif /*__AGS_PAD_H__*/
