#ifndef __AGS_FFPLAYER_H__
#define __AGS_FFPLAYER_H__

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include "../ags_machine.h"

#define AGS_TYPE_FFPLAYER                (ags_ffplayer_get_type())
#define AGS_FFPLAYER(obj)                ((AgsFFPlayer*) G_TYPE_CHECK_INSTANCE_CAST(obj, AGS_TYPE_FFPLAYER, AgsFFPlayer))
#define AGS_FFPLAYER_CLASS(class)        ((AgsFFPlayerClass*) G_TYPE_CHECK_CLASS_CAST(class, AGS_TYPE_FFPLAYER, AgsFFPlayerClass))

typedef struct _AgsFFPlayer AgsFFPlayer;
typedef struct _AgsFFPlayerClass AgsFFPlayerClass;

struct _AgsFFPlayer
{
  AgsMachine machine;
};

struct _AgsFFPlayerClass
{
  AgsMachineClass machine;
};

AgsFFPlayer* ags_ffplayer_new();

#endif /*__AGS_FFPLAYER_H__*/
