#ifndef __AGS_INPUT_H__
#define __AGS_INPUT_H__

#include <glib.h>
#include <glib-object.h>
#include <glib/gstdio.h>
#include <gtk/gtk.h>
#include "ags_channel.h"

#define AGS_TYPE_INPUT                (ags_input_get_type())
#define AGS_INPUT(obj)                ((AgsInput*) G_TYPE_CHECK_INSTANCE_CAST(obj, AGS_TYPE_INPUT, AgsInput))
#define AGS_INPUT_CLASS(class)        ((AgsInputClass*) G_TYPE_CHECK_CLASS_CAST(class, AGS_TYPE_INPUT, AgsInputClass))

typedef struct _AgsInput AgsInput;
typedef struct _AgsInputClass AgsInputClass;

struct _AgsInput
{
  AgsChannel channel;

  char *file;
};

struct _AgsInputClass
{
  AgsChannelClass channel;
};

void ags_input_set_file(AgsInput *input, char *file);

AgsInput* ags_input_new();

#endif /*__AGS_INPUT_H__*/
