#ifndef __AGS_OUTPUT_H__
#define __AGS_OUTPUT_H__

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include "ags_channel.h"

#define AGS_TYPE_OUTPUT                (ags_output_get_type())
#define AGS_OUTPUT(obj)                ((AgsOutput*) G_TYPE_CHECK_INSTANCE_CAST(obj, AGS_TYPE_OUTPUT, AgsOutput))
#define AGS_OUTPUT_CLASS(class)        ((AgsOutputClass*) G_TYPE_CHECK_CLASS_CAST(class, AGS_TYPE_OUTPUT, AgsOutputClass))

typedef struct _AgsOutput AgsOutput;
typedef struct _AgsOutputClass AgsOutputClass;

struct _AgsOutput
{
  AgsChannel channel;
};

struct _AgsOutputClass
{
  AgsChannelClass channel;
};

AgsOutput* ags_output_new();

#endif /*__AGS_OUTPUT_H__*/
