#include "ags_recall.h"

GType ags_recall_get_type();
void ags_recall_class_init (AgsRecallClass *recall_class);
void ags_recall_init (AgsRecall *recall);
void ags_recall_destroy (GObject *gobject);
void _ags_recall_run(AgsRecall *recall);
void _ags_recall_stop(AgsRecall *recall);

GType
ags_recall_get_type (void)
{
  static GType ags_type_recall = 0;

  if(!ags_type_recall){
    static const GTypeInfo ags_recall_info = {
      sizeof (AgsRecallClass),
      NULL, /* base_init */
      NULL, /* base_finalize */
      (GClassInitFunc) ags_recall_class_init,
      NULL, /* class_finalize */
      NULL, /* class_data */
      sizeof (AgsRecall),
      0,    /* n_preallocs */
      (GInstanceInitFunc) ags_recall_init,
    };
    ags_type_recall = g_type_register_static (G_TYPE_OBJECT, "AgsRecall\0", &ags_recall_info, 0);
  }
  return (ags_type_recall);
}

void
ags_recall_class_init(AgsRecallClass *recall)
{
  recall->run = _ags_recall_run;
  recall->stop = _ags_recall_stop;
}

void
ags_recall_init(AgsRecall *recall)
{
  recall->effect = NULL;
  recall->name = NULL;

  recall->control_count = 0;
  recall->control = NULL;
}

void
ags_recall_destroy(GObject *gobject)
{
  g_object_unref(gobject);
}

void
_ags_recall_run(AgsRecall *recall)
{
}

void
_ags_recall_stop(AgsRecall *recall)
{
}

void
ags_recall_set_effect(AgsRecall *recall, char *effect)
{
}

AgsRecall*
ags_recall_new()
{
  AgsRecall *recall;

  recall = (AgsRecall *) g_object_new(AGS_TYPE_RECALL, NULL);

  return(recall);
}
