#ifndef __AGS_MATH_H__
#define __AGS_MATH_H__

guint _j_math_equal(int a, int b);
gboolean j_math_equal(int a, int b);

guint _j_math_equal_list(GList *list_a, GList *a_next, GList *list_b, GList *b_next);
gboolean j_math_equal_list(GList *a, GList *b);


gboolean _j_math_greater(guint a, guint b);
gboolean _j_math_greater_list(GList *list_a, GList *a_next, GList *list_b, GList *b_next);

gboolean j_math_greater(int a, int b);
gboolean j_math_greater_list(GList *a, GList *b);

gboolean _j_math_less(guint a, ugint b);
gboolean _j_math_less_list(GList *list_a, GList *a_next, GList *list_b, GList *b_next);

gboolean j_math_less(int a, int b);
gboolean j_math_less_list(GList *a, GList *b);

void _ags_math_addition(int a, int b, guint *destination, guint values);
void ags_math_uaddition(guint a, guint b, guint *destination, guint values);

void _ags_math_subtraction(int a, int b, guint *destination, guint values);
void ags_math_usubtraction(guint a, guint b, guint *destination, guint values);

void _ags_math_addition_list(GList *a, GList *b, guint *destination, guint values);
GList* ags_math_uaddition_list(GList *a, GList *b);

void _ags_math_subtraction_list(GList *a, GList *b, guint *destination, guint values);
GList* ags_math_usubtraction_list(GList *a, GList *b);

GList* ags_math_list_count(GList *list);

#endif /*__AGS_MATH_H__*/
