#include "ags_offset_list.h"

GType ags_offset_list_get_type();
void ags_offset_list_init(AgsOffsetList *offset_list);

GType
ags_offset_list_get_type()
{
  static GType ags_type_offset_list = 0;

  if(!ags_type_offset_list){
    static const GTypeInfo ags_offset_list_info = {
      sizeof(AgsOffsetListClass),
      NULL, /* base_init */
      NULL, /* base_finalize */
      NULL, /* class_init */
      NULL, /* class_finalize */
      NULL, /* class_data */
      sizeof(AgsOffset),
      0,    /* n_preallocs */
      (GInstanceInitFunc) ags_offset_list_init,
    };
    ags_type_offset_list = g_type_register_static(AGS_TYPE_OFFSET_INSTANCE, "AgsOffsetList\0", &ags_offset_list_info, 0);
  }
  return (ags_type_offset_list);
}

void
ags_offset_list_init(AgsOffsetList *offset_list)
{
  offset_list->offset.data = GUINT_TO_POINTER(0);
  offset_list->offset.next = NULL;
  offset_list->offset.prev = NULL;

  offset_list->maximum_size = NULL;
}
