#ifndef __AGS_OFFSET_LIST_FRAME_DOUBLE_H__
#define __AGS_OFFSET_LIST_FRAME_DOUBLE_H__

#include <glib.h>
#include <glib-object.h>

#include "ags_offset.h"

#define AGS_TYPE_OFFSET_LIST_FRAME_DOUBLE    (ags_offset_list_frame_double_get_type())
#define AGS_OFFSET_LIST_FRAME_DOUBLE(obj)    (G_TYPE_CHECK_INSTANCE_CAST(obj, AGS_TYPE_OFFSET_LIST_FRAME_DOUBLE, AgsOffsetListFrameDouble))
#define AGS_IS_OFFSET_LIST_FRAME_DOUBLE(obj) (G_TYPE_CHECK_INSTANCE_TYPE(obj, AGS_TYPE_OFFSET_LIST_FRAME_DOUBLE))

typedef struct _AgsOffsetListFrameDouble AgsOffsetListFrameDouble;
typedef struct _AgsOffsetListFrameDoubleClass AgsOffsetListFrameDoubleClass;
typedef struct _AgsOffsetListDoubleMember AgsOffsetListDoubleMember;

struct _AgsOffsetListFrameDouble{
  AgsOffsetInstance offset_instance;

  AgsOffsetListDoubleMember list_double;

  AgsOffset *maximum_size;
  AgsOffset *base; // 
  GList *frame_size; // 
};

struct _AgsOffsetListFrameDoubleClass{
  AgsOffsetClass offset;
};

struct _AgsOffsetListDoubleMember{
  GList offset;
  AgsOffsetListDoubleMember *next;
  AgsOffsetListDoubleMember *prev;
};

#endif /*__AGS_OFFSET_LIST_FRAME_DOUBLE_H__*/
