#ifndef __AGS_OFFSET_UINT_FRAME_H__
#define __AGS_OFFSET_UINT_FRAME_H__

#include <glib.h>
#include <glib-object.h>

#include "ags_offset.h"

#define AGS_TYPE_OFFSET_UINT_FRAME    (ags_offset_uint_frame_get_type())
#define AGS_OFFSET_UINT_FRAME(obj)    (G_TYPE_CHECK_INSTANCE_CAST(obj, AGS_TYPE_OFFSET_UINT_FRAME, AgsOffsetUIntFrame))
#define AGS_IS_OFFSET_UINT_FRAME(obj) (G_TYPE_CHECK_INSTANCE_TYPE(obj, AGS_TYPE_OFFSET_UINT_FRAME))

typedef struct _AgsOffsetUIntFrame AgsOffsetUIntFrame;
typedef struct _AgsOffsetUIntFrameClass AgsOffsetUIntFrameClass;

struct _AgsOffsetUIntFrame{
  AgsOffsetInstance offset_instance;

  guint offset;

  AgsOffset *maximum_size;
  AgsOffset *base; // NULL means offset 0
};

struct _AgsOffsetUIntFrameClass{
  AgsOffsetClass offset;
};

#endif /*__AGS_OFFSET_UINT_FRAME_H__*/
