#ifndef __AGS_LINE_EDITOR_H__
#define __AGS_LINE_EDITOR_H__

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include "ags_link_editor.h"

#define AGS_TYPE_LINE_EDITOR                (ags_line_editor_get_type())
#define AGS_LINE_EDITOR(obj)                ((AgsLineEditor*) G_TYPE_CHECK_INSTANCE_CAST(obj, AGS_TYPE_LINE_EDITOR, AgsLineEditor))
#define AGS_LINE_EDITOR_CLASS(class)        ((AgsLineEditorClass*) G_TYPE_CHECK_CLASS_CAST(class, AGS_TYPE_LINE_EDITOR, AgsLineEditorClass))

typedef struct _AgsLineEditor AgsLineEditor;
typedef struct _AgsLineEditorClass AgsLineEditorClass;

struct _AgsLineEditor
{
  GtkVBox vbox;

  AgsLinkEditor *link_editor;
};

struct _AgsLineEditorClass
{
  GtkVBoxClass vbox;
};

AgsLineEditor* ags_line_editor_new();

#endif /*__AGS_LINE_EDITOR_H__*/
