#include "ags_line_member_editor.h"
#include "ags_line_member_editor_callbacks.h"

GType ags_line_member_editor_get_type(void);
void ags_line_member_editor_class_init(AgsLineMemberEditorClass *line_member_editor);
void ags_line_member_editor_init(AgsLineMemberEditor *line_member_editor);
void ags_line_member_editor_destroy(GtkObject *object);
void ags_line_member_editor_show(GtkWidget *widget);
void ags_line_member_editor_connect(AgsLineMemberEditor *line_member_editor);

extern void (*gtk_container_destroy)(GtkObject *object);
extern void (*gtk_widget_real_show)(GtkWidget *widget);

GType
ags_line_member_editor_get_type(void)
{
  static GType line_member_editor_type = 0;

  if (!line_member_editor_type){
    static const GtkTypeInfo line_member_editor_info = {
      "AgsLineMemberEditor\0",
      sizeof(AgsLineMemberEditor), /* base_init */
      sizeof(AgsLineMemberEditorClass), /* base_finalize */
      (GtkClassInitFunc) ags_line_member_editor_class_init,
      (GtkObjectInitFunc) ags_line_member_editor_init,
      NULL, /* class_finalize */
      NULL, /* class_data */
      (GtkClassInitFunc) NULL,
    };

    line_member_editor_type = gtk_type_unique (GTK_TYPE_VBOX, &line_member_editor_info);
  }

  return (line_member_editor_type);
}

void
ags_line_member_editor_class_init(AgsLineMemberEditorClass *line_member_editor)
{
  GtkObjectClass *object = (GtkObjectClass *) line_member_editor;
  GtkWidgetClass *widget = (GtkWidgetClass *) line_member_editor;

  object->destroy = ags_line_member_editor_destroy;
  widget->show = ags_line_member_editor_show;
}

void
ags_line_member_editor_init(AgsLineMemberEditor *line_member_editor)
{
}

void
ags_line_member_editor_destroy(GtkObject *object)
{
  if(gtk_container_destroy)
    gtk_container_destroy(object);
}

void
ags_line_member_editor_show(GtkWidget *widget)
{
  if(gtk_widget_real_show)
    gtk_widget_real_show(widget);
}

void
ags_line_member_editor_connect(AgsLineMemberEditor *line_member_editor)
{
}

AgsLineMemberEditor*
ags_line_member_editor_new()
{
  AgsLineMemberEditor *line_member_editor;

  line_member_editor = (AgsLineMemberEditor *) g_object_new(AGS_TYPE_LINE_MEMBER_EDITOR, NULL);

  return(line_member_editor);
}
