#ifndef __AGS_LINK_EDITOR_H__
#define __AGS_LINK_EDITOR_H__

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include "ags_machine.h"

#define AGS_TYPE_LINK_EDITOR                (ags_link_editor_get_type())
#define AGS_LINK_EDITOR(obj)                ((AgsLinkEditor*) G_TYPE_CHECK_INSTANCE_CAST(obj, AGS_TYPE_LINK_EDITOR, AgsLinkEditor))
#define AGS_LINK_EDITOR_CLASS(class)        ((AgsLinkEditorClass*) G_TYPE_CHECK_CLASS_CAST(class, AGS_TYPE_LINK_EDITOR, AgsLinkEditorClass))

typedef struct _AgsLinkEditor AgsLinkEditor;
typedef struct _AgsLinkEditorClass AgsLinkEditorClass;

struct _AgsLinkEditor
{
  GtkHBox hbox;

  GtkOptionMenu *option;
  GtkSpinButton *spin_button;
};

struct _AgsLinkEditorClass
{
  GtkHBoxClass hbox;
};

AgsLinkEditor* ags_link_editor_new();

#endif /*__AGS_LINK_EDITOR_H__*/
