#include "ags_pad_callbacks.h"

#include "../audio/ags_channel.h"

int
ags_pad_option_changed_callback(GtkWidget *widget, AgsPad *pad)
{
  GList *list;
  GtkOptionMenu *option = (GtkOptionMenu *) widget;

  list = gtk_container_get_children((GtkContainer *) option->menu);

  while(list != NULL && list->data != option->menu_item)
    list = list->next;

  pad->selected_line = (list != NULL) ? AGS_LINE(list->data): NULL;
}
