#include "ags_pad_editor_callbacks.h"

int
ags_pad_editor_button_clicked(GtkWidget *widget, AgsPadEditor *pad_editor)
{
  GtkArrow *arrow;
  GList *list;
  gint16 arrow_type;

  if(arrow->arrow_type != GTK_ARROW_NONE){
    arrow = gtk_container_get_children((GtkContainer *) widget)->data;
    list = pad_editor->line_editor;

    arrow_type = arrow->arrow_type;
    arrow->arrow_type = GTK_ARROW_NONE;

    if(arrow_type == GTK_ARROW_RIGHT){
      gtk_arrow_set(arrow, GTK_ARROW_DOWN, GTK_SHADOW_NONE);

      while(list != NULL){
	gtk_widget_show((GtkWidget *) list->data);
	list = list->next;
      }
    }else{
      gtk_arrow_set(arrow, GTK_ARROW_RIGHT, GTK_SHADOW_NONE);

      while(list != NULL){
	gtk_widget_hide((GtkWidget *) list->data);
	list = list->next;
      }
    }
  }
}
