#ifndef __AGS_NOTEBOOK_H__
#define __AGS_NOTEBOOK_H__

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>

#define AGS_TYPE_NOTEBOOK                (ags_notebook_get_type())
#define AGS_NOTEBOOK(obj)                ((AgsNotebook*) G_TYPE_CHECK_INSTANCE_CAST(obj, AGS_TYPE_NOTEBOOK, AgsNotebook))
#define AGS_NOTEBOOK_CLASS(class)        ((AgsNotebookClass*) G_TYPE_CHECK_CLASS_CAST(class, AGS_TYPE_NOTEBOOK, AgsNotebookClass))

typedef struct _AgsNotebook AgsNotebook;
typedef struct _AgsNotebookClass AgsNotebookClass;

struct _AgsNotebook
{
  GtkNotebook notebook;
};

struct _AgsNotebookClass
{
  GtkNotebookClass notebook;
};

AgsNotebook* ags_notebook_new();

#endif /*__AGS_NOTEBOOK_H__*/
