#ifndef __AGS_TOOLBAR_H__
#define __AGS_TOOLBAR_H__

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>

#define AGS_TYPE_TOOLBAR                (ags_toolbar_get_type())
#define AGS_TOOLBAR(obj)                ((AgsToolbar*) G_TYPE_CHECK_INSTANCE_CAST(obj, AGS_TYPE_TOOLBAR, AgsToolbar))
#define AGS_TOOLBAR_CLASS(class)        ((AgsToolbarClass*) G_TYPE_CHECK_CLASS_CAST(class, AGS_TYPE_TOOLBAR, AgsToolbarClass))

typedef struct _AgsToolbar AgsToolbar;
typedef struct _AgsToolbarClass AgsToolbarClass;

struct _AgsToolbar
{
  GtkToolbar toolbar;
};

struct _AgsToolbarClass
{
  GtkToolbarClass toolbar;
};

AgsToolbar* ags_toolbar_new();

GtkMenu* ags_zoom_menu_new();
GtkMenu* ags_tic_menu_new();

#endif /*__AGS_TOOLBAR_H__*/
