#include "ags_garbage_collector.h"

GType ags_garbage_collector_get_type();
void ags_garbage_collector_class_init (AgsGarbageCollectorClass *garbage_collector_class);
void ags_garbage_collector_init (AgsGarbageCollector *garbage_collector);
void ags_garbage_collector_destroy (GObject *gobject);

GType
ags_garbage_collector_get_type (void)
{
  static GType ags_type_garbage_collector = 0;

  if(!ags_type_garbage_collector){
    static const GTypeInfo ags_garbage_collector_info = {
      sizeof (AgsGarbageCollectorClass),
      NULL, /* base_init */
      NULL, /* base_finalize */
      (GClassInitFunc) ags_garbage_collector_class_init,
      NULL, /* class_finalize */
      NULL, /* class_data */
      sizeof (AgsGarbageCollector),
      0,    /* n_preallocs */
      (GInstanceInitFunc) ags_garbage_collector_init,
    };
    ags_type_garbage_collector = g_type_register_static (G_TYPE_OBJECT, "AgsGarbageCollector\0", &ags_garbage_collector_info, 0);
  }
  return(ags_type_garbage_collector);
}

void
ags_garbage_collector_class_init(AgsGarbageCollectorClass *garbage_collector_class)
{
}

void
ags_garbage_collector_init(AgsGarbageCollector *garbage_collector)
{
  garbage_collector->toplevel = NULL;
  garbage_collector->stopped = NULL;
}

void
ags_garbage_collector_destroy(GObject *gobject)
{
  g_object_unref (gobject);
}

void
ags_garbage_collector_run(AgsGarbageCollector *garbage_collector)
{
}

AgsGarbageCollector*
ags_garbage_collector_new()
{
  AgsGarbageCollector *garbage_collector;

  garbage_collector = (AgsGarbageCollector *) g_object_new(AGS_TYPE_GARBAGE_COLLECTOR, NULL);

  return(garbage_collector);
}
