#ifndef __AGS_GARBAGE_COLLECTOR_H__
#define __AGS_GARBAGE_COLLECTOR_H__

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>

#include "ags_recycling.h"

#define AGS_TYPE_GARBAGE_COLLECTOR                (ags_garbage_collector_get_type())
#define AGS_GARBAGE_COLLECTOR(obj)                ((AgsGarbage_Collector*) G_TYPE_CHECK_INSTANCE_CAST(obj, AGS_TYPE_GARBAGE_COLLECTOR, AgsGarbageCollector))
#define AGS_GARBAGE_COLLECTOR_CLASS(class)        ((AgsGarbage_CollectorClass*) G_TYPE_CHECK_CLASS_CAST(class, AGS_TYPE_GARBAGE_COLLECTOR, AgsGarbageCollectorClass))

typedef struct _AgsGarbageCollector AgsGarbageCollector;
typedef struct _AgsGarbageCollectorClass AgsGarbageCollectorClass;

struct _AgsGarbageCollector
{
  GObject object;

  AgsRecycling *toplevel;
  AgsRecycling *stopped;
};

struct _AgsGarbageCollectorClass
{
  GObjectClass object;
};

void ags_garbage_collector_run(AgsGarbageCollector *garbage_collector);

AgsGarbageCollector* ags_garbage_collector_new();

#endif /*__AGS_GARBAGE_COLLECTOR_H__*/
