#ifndef __AGS_OFFSET_LIST_H__
#define __AGS_OFFSET_LIST_H__

#include <glib.h>
#include <glib-object.h>

#include "ags_offset.h"

#define AGS_TYPE_OFFSET_LIST    (ags_offset_list_get_type())
#define AGS_OFFSET_LIST(obj)    (G_TYPE_CHECK_INSTANCE_CAST(obj, AGS_TYPE_OFFSET_LIST, AgsOffsetList))
#define AGS_IS_OFFSET_LIST(obj) (G_TYPE_CHECK_INSTANCE_TYPE(obj, AGS_TYPE_OFFSET_LIST))

typedef struct _AgsOffsetList AgsOffsetList;
typedef struct _AgsOffsetListClass AgsOffsetListClass;

struct _AgsOffsetList{
  AgsOffsetInstance offset_instance;

  GList offset;
  GList *maximum_size; // NULL means infinite
};

struct _AgsOffsetListClass{
  AgsOffsetClass offset;
};

#endif /*__AGS_OFFSET_LIST_H__*/
