#include "ags_offset_list_frame.h"

GType ags_offset_list_frame_get_type();
void ags_offset_list_frame_init(AgsOffsetListFrame *offset_list_frame);

GType
ags_offset_list_frame_get_type()
{
  static GType ags_type_offset_list_frame = 0;

  if(!ags_type_offset_list_frame){
    static const GTypeInfo ags_offset_list_frame_info = {
      sizeof(AgsOffsetListFrameClass),
      NULL, /* base_init */
      NULL, /* base_finalize */
      NULL, /* class_init */
      NULL, /* class_finalize */
      NULL, /* class_data */
      sizeof(AgsOffset),
      0,    /* n_preallocs */
      (GInstanceInitFunc) ags_offset_list_frame_init,
    };
    ags_type_offset_list_frame = g_type_register_static(AGS_TYPE_OFFSET_INSTANCE, "AgsOffsetListFrame\0", &ags_offset_list_frame_info, 0);
  }
  return (ags_type_offset_list_frame);
}

void
ags_offset_list_frame_init(AgsOffsetListFrame *offset_list_frame)
{
  offset_list_frame->offset.data = GUINT_TO_POINTER(0);
  offset_list_frame->offset.next = NULL;
  offset_list_frame->offset.prev = NULL;

  offset_list_frame->base = NULL;
}
