#ifndef __AGS_OFFSET_LIST_FRAME_H__
#define __AGS_OFFSET_LIST_FRAME_H__

#include <glib.h>
#include <glib-object.h>

#include "ags_offset.h"

#define AGS_OFFSET_LIST_FRAME_TYPE    (ags_offset_list_frame_get_type())
#define AGS_OFFSET_LIST_FRAME(obj)    (G_TYPE_CHECK_INSTANCE_CAST(obj, AGS_TYPE_OFFSET_LIST_FRAME, AgsOffsetListFrame))
#define AGS_IS_OFFSET_LIST_FRAME(obj) (G_TYPE_CHECK_INSTANCE_TYPE(obj, AGS_TYPE_OFFSET_LIST_FRAME))

typedef struct _AgsOffsetListFrame AgsOffsetListFrame;
typedef struct _AgsOffsetListFrameClass AgsOffsetListFrameClass;

struct _AgsOffsetListFrame{
  AgsOffsetInstance offset_instance;

  GList offset;

  AgsOffset *maximum_size;
  AgsOffset *base;
};

struct _AgsOffsetListFrame{
  AgsOffsetClass offset;
};

#endif /*__AGS_OFFSET_LIST_H__*/
